<div *ngIf="allow_add">
  <h3 class="add_commerce_button__instructions">
    Utiliza este botón para crear el comercio
  </h3>
  <img class="add_commerce_button__arrow" src="assets/images/arrow.svg" alt="">
  <button (click)="addNewCommerce()" mat-raised-button class="add_commerce_button">
    <mat-icon>add</mat-icon>
    Añadir nuevo comercio
  </button>
</div>
<h2 *ngIf="loaded && commerces.length > 0" style="padding-top: 20px;" class="container__title">Negocios registrados</h2>
<div class="container" *ngIf="loaded && commerces.length > 0">
    <mat-card *ngFor="let commerce of commerces" class="commerce_card">
        <mat-card-header>
        <div mat-card-avatar [ngStyle]="{'background-image': 'url(' + commerce.logo + ')'}" class="commerce_card__logo"></div>
          <mat-card-title>{{commerce.name.split("-").join(" ")}}</mat-card-title>
          <mat-card-subtitle><span *ngFor="let typ of commerce.type">{{typ}} </span></mat-card-subtitle>
        </mat-card-header>
        <img mat-card-image [src]="commerce.image">
        <mat-card-content>
            <p>
                {{commerce.location}}
            </p>
            <p>
                {{commerce.description}}
            </p>
        </mat-card-content>
        <mat-card-actions>
          <button mat-button 
            (click)="checkBusiness(commerce)"  
          >
            Revisar negocio
          </button>
          <button mat-button
          [routerLink]="[commerce.id,'share']" 
          routerLinkActive="router-link-active">
            Compartir negocio
          </button>
        </mat-card-actions>
    </mat-card>
</div>
<div *ngIf="loaded && commerces.length < 1">
  <h2 style="padding-top: 120px" class="container__title">Agrega un comercio para verlo aquí</h2>
</div>
<div class="loading_screen" *ngIf="!loaded">
    <h1>Cargando información</h1>
    <mat-spinner class="loading_screen__spinner"></mat-spinner>
</div>